<?php
usleep(rand(1700000,1990000));
header('Content-Type: image/png');
$im = imagecreatefrompng("./map.png");
$im = imagescale($im, 400, 400);

// Create some colors
$white = imagecolorallocate($im, 255, 255, 255);
$grey = imagecolorallocate($im, 128, 128, 128);
$black = imagecolorallocate($im, 0, 0, 0);
$blue = imagecolorallocate($im, 0, 0, 255);
$red = imagecolorallocate($im, 255, 0, 0);
$text = "@";
$font = '/var/www/html/arial.ttf';
//mysql
$servername = "127.0.0.1";
$username = "root";
$password = "";
$dbname = "steam";
$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$sql = "SELECT * from steamMap where status = 1";
$result = $conn->query($sql);

if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
	
    list($posX, $posY, $posZ) = explode(":", $row["location"]);  
    list($pos2X, $pos2Y, $pos2Z) = explode(":", $row["direction"]);
    $name =  htmlspecialchars($row["name"]);
    
    $posX /= 11;
    $posY /= 10;
    $posX +=220;
    $posY -=325;
    $posY *=-1;

    if($row['team'] == 3 && $row['status'] == 1)
    {
         $black = $blue;
    }
    else  if($row['team'] == 2 && $row['status'] == 1)
    {
         $black = $red;
    }
    else
    {
         $black = $black;
    }
$en=0;
if($row['status'] || 1==$en){
imagettftext($im, 5, 0, $posX, $posY, $black, $font, $text);
imagettftext($im, 5, 45, $posX, $posY, $black, $font, $text);
imagettftext($im, 5, 90, $posX, $posY, $black, $font, $text);
imagettftext($im, 5, 135, $posX, $posY, $black, $font, $text);
imagettftext($im, 5, 180, $posX, $posY, $black, $font, $text);
imagettftext($im, 5, 225, $posX, $posY, $black, $font, $text);
imagettftext($im, 5, 270, $posX, $posY, $black, $font, $text);
imagettftext($im, 5, 315, $posX, $posY, $black, $font, $text);
imagettftext($im, 20, ($pos2Y-90), $posX, $posY, $black, $font, '|');
imagettftext($im, 10, 0, $posX+8, $posY+8, $white, $font, $row['name']);
		}     
	}
} 
$conn->close();
//endmysql

// Using imagepng() results in clearer text compared with imagejpeg()
//imagepng($im, NULL, 9);
imagejpeg($im, NULL, 30);
imagedestroy($im);
?>

